/**
 * Data model pour l'équipement
 */
export default class EquipementDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      prixpo: new fields.NumberField({ initial: 0, integer: true }),
      prixca: new fields.NumberField({ initial: 0, integer: true }),
      prixsc: new fields.NumberField({ initial: 0, integer: true }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      quantite: new fields.NumberField({ initial: 1, integer: true }),
      equipped: new fields.BooleanField({ initial: false })
    };
  }
}
